Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.schema.dict
Class HSQLDictionary

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.schema.dict.AbstractDictionary
            |
            +--com.solarmetric.kodo.impl.jdbc.schema.dict.HSQLDictionary

All Implemented Interfaces:
  DBDictionary

Direct Known Subclasses:
  HSQLTCKDictionary

public class HSQLDictionary
extends AbstractDictionary

Implementation of the DBDictionary interface for Hypersonic SQL.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.schema.dict.AbstractDictionary
`CENTI, DECI, meta, MICRO, MILLI, NANO, NUMBER_FORMAT, SEC`

Constructor Summary
`HSQLDictionary()`

Method Summary
`void` | `booleanToPreparedParameter(PreparedStatement st, int index, Boolean val)`
`SQLBuffer[]` | `getAddColumnSQL(Column column)` Return a series of SQL statements to add the given column to its table, including the addition of any indexes on the column.
`protected SQLBuffer` | `getColumnDeclaration(Column column)` This method can be overridden if the database does not support standard column declarations, which are in the form: `<column-name> <sql-type> [NOT NULL]`.
`SQLBuffer[]` | `getDropColumnSQL(Column column)` Return a series of SQL statements to drop the given column from its table, including the deletion of any indices from the column.
`long` | `getNextAutoIncrementValue(Table table, SQLExecutionManager sqlem)` Returns the next auto-increment value for a given table.
`String` | `getPlatform()` Return the title of this database platform, used for display only.
`protected SQLBuffer` | `getPrimaryKeyClause(Set pks)` Return the SQL to add primary key information.
`String` | `getValidIndexName(String name)` Limits index names to `getMaxIndexNameLength()`-1 plus an 'I' that is appended to the end of the given name to avoid SQL keyword conflicts.
`protected void` | `setupSQLTypeMap(SQLTypeMap map)` This is the most commonly overridden method when porting to a new database.
`boolean` | `supportsAutoIncrement()` Returns `true` if this dictionary / database combination supports auto-incrementing primary-key columns.
`boolean` | `supportsLocking()` Hsql does not understand FOR UPDATE.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.schema.dict.AbstractDictionary
`, addForUpdateClause, bigDecimalFromSQL, bigDecimalToPreparedParameter, bigDecimalToSQL, bigIntegerFromSQL, bigIntegerToPreparedParameter, bigIntegerToSQL, blobFromSQL, blobToPreparedParameter, blobToSQL, booleanFromSQL, booleanToSQL, byteFromSQL, byteToPreparedParameter, byteToSQL, characterToPreparedParameter, charFromSQL, charToSQL, clobFromSQL, clobToPreparedParameter, clobToSQL, colsToString, createdSQLExecutionManager, dateFromSQL, dateToPreparedParameter, dateToSQL, dateToTimestamp, deserialize, deserialize, doubleFromSQL, doubleToPreparedParameter, doubleToSQL, dropTableDropsIndices, floatFromSQL, floatToPreparedParameter, floatToSQL, fromSQL, getClassMappingCandidateClasses, getColumns, getCreateIndexSQL, getCreateTableSQL, getCreateTableSuffix, getDatePrecision, getDBMetaData, getDropIndexSQL, getDropTableSQL, getFieldMappingCandidateClasses, getMaxColumnNameLength, getMaxIndexNameLength, getMaxTableNameLength, getNameTruncationVersion, getNonSQL92LeftOuterJoin, getQuoteNumbers, getSchemaName, getSimulateLocking, getSQLTypeMap, getStoreCharsAsStrings, getStoreLargeNumbersAsStrings, getSupportedResultSetType, getTables, getValidateConnections, getValidateConnectionSQL, getValidColumnName, getValidTableName, initTypeMap, intFromSQL, intToPreparedParameter, intToSQL, isClosed, localeFromSQL, localeToPreparedParameter, localeToSQL, longFromSQL, longToPreparedParameter, longToSQL, objectFromSQL, objectToPreparedParameter, objectToSQL, prepareLargeNumberAsString, prepareStatement, serialize, setColumnNameGenerator, setCreateTableSuffix, setDBMetaData, setIndexNameGenerator, setMaxColumnNameLength, setMaxIndexNameLength, setMaxTableNameLength, setNameTruncationVersion, setNullParameter, setQuoteNumbers, setSchemaName, setSimulateLocking, setStoreCharsAsStrings, setStoreLargeNumbersAsStrings, setTableNameGenerator, setTransactionIsolation, setValidateConnections, setValidateConnectionSQL, shortFromSQL, shortToPreparedParameter, shortToSQL, stringFromSQL, stringToPreparedParameter, stringToSQL, supportsNonSQL92LeftOuterJoins, supportsUpdateCountsForBatch, tablesToString, timestampFromSQL, toPreparedParameter, toSelect, toSelect, toSelect, toSQL, truncate, truncate, validateConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDictionary

    public HSQLDictionary()

Method Detail

### getPlatform

    public String getPlatform()

  Description copied from class: `AbstractDictionary`
  Return the title of this database platform, used for display only.
  Overrides:
    `getPlatform` in class `AbstractDictionary`

### supportsLocking

    public boolean supportsLocking()

  Hsql does not understand FOR UPDATE.
  Overrides:
    `supportsLocking` in class `AbstractDictionary`

### setupSQLTypeMap

    protected void setupSQLTypeMap(SQLTypeMap map)

  Description copied from class: `AbstractDictionary`
  This is the most commonly overridden method when porting to a new database. Most databases have different mappings between java and SQL types; this method can be used to setup the mappings for the database being ported.
  Overrides:
    `setupSQLTypeMap` in class `AbstractDictionary`

### getValidIndexName

    public String getValidIndexName(String name)

  Limits index names to `getMaxIndexNameLength()`-1 plus an 'I' that is appended to the end of the given name to avoid SQL keyword conflicts.
  Overrides:
    `getValidIndexName` in class `AbstractDictionary`

### booleanToPreparedParameter

    public void booleanToPreparedParameter(PreparedStatement st,
                                           int index,
                                           Boolean val)
                                    throws SQLException

  Overrides:
    `booleanToPreparedParameter` in class `AbstractDictionary`

### getAddColumnSQL

    public SQLBuffer[] getAddColumnSQL(Column column)

  Description copied from interface: `DBDictionary`
  Return a series of SQL statements to add the given column to its table, including the addition of any indexes on the column.
  Overrides:
    `getAddColumnSQL` in class `AbstractDictionary`

### getDropColumnSQL

    public SQLBuffer[] getDropColumnSQL(Column column)

  Description copied from interface: `DBDictionary`
  Return a series of SQL statements to drop the given column from its table, including the deletion of any indices from the column.
  Overrides:
    `getDropColumnSQL` in class `AbstractDictionary`

### supportsAutoIncrement

    public boolean supportsAutoIncrement()

  Description copied from interface: `DBDictionary`
  Returns `true` if this dictionary / database combination supports auto-incrementing primary-key columns.
  Overrides:
    `supportsAutoIncrement` in class `AbstractDictionary`

### getNextAutoIncrementValue

    public long getNextAutoIncrementValue(Table table,
                                          SQLExecutionManager sqlem)
                                   throws SQLException

  Description copied from interface: `DBDictionary`
  Returns the next auto-increment value for a given table.
  Overrides:
    `getNextAutoIncrementValue` in class `AbstractDictionary`

### getColumnDeclaration

    protected SQLBuffer getColumnDeclaration(Column column)

  Description copied from class: `AbstractDictionary`
  This method can be overridden if the database does not support standard column declarations, which are in the form: `<column-name> <sql-type> [NOT NULL]`. Where NOT NULL is appended if it is a primary key column.
  Overrides:
    `getColumnDeclaration` in class `AbstractDictionary`

### getPrimaryKeyClause

    protected SQLBuffer getPrimaryKeyClause(Set pks)

  Description copied from class: `AbstractDictionary`
  Return the SQL to add primary key information.
  Overrides:
    `getPrimaryKeyClause` in class `AbstractDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.